<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.css.simulation.resource.scheduler.infra.db.mysql.mapper.AlgorithmExpandMapper">


    <update id="updateStatusByAlgorithmId">
        update algorithm_expand
        set status = #{status}
        where algorithm_id = #{algorithmId}
    </update>
    <update id="updateDockerImportAndDockerImageById">
        update algorithm_expand
            set docker_import = #{dockerImport},
                docker_image  = #{dockerImage}
            where algorithm_id = #{algorithmId}
    </update>
    <select id="selectIdByAlgorithmId" resultType="java.lang.String">
        select id from algorithm_expand where algorithm_id = #{algorithmId}
    </select>
    <select id="selectDockerImageByAlgorithmId" resultType="java.lang.String">
        select docker_image
        from algorithm_expand
        where algorithm_id = #{algorithmId}
    </select>
</mapper>
